Download it now!
Bug 130090 - Create New Folder in the Save Dialog crashes with the gen (X11) VCL plugin
Summary: Create New Folder in the Save Dialog crashes with the gen (X11) VCL plugin
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.1 rc
Hardware: All Linux (All)
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-20 16:01 UTC by Eltomito
Modified: 2020-01-21 16:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eltomito 2020-01-20 16:01:09 UTC
When I try to save a file in LO Writer and create a new folder for it from the Save File dialog, it crashes with the gen (X11) VCL plugin. It works alright with the gtk3 VCL plugin. I found out by accident when testing a gtk3-only bug.

Steps to reproduce:

1) start LO with the gen vcl plugin
export SAL_USE_VCLPLUGIN=gen; libreoffice6.4

2) open a new Writer document

3) Save... (CTRL+S)

4) In the Save dialog, press "Create New Folder", type the name of the new folder and press enter.

Expected result: The new folder is created and LO doesn't crash

Actual result: The folder is created but you don't even see it, because LO immediately crashes.

LibreOffice version from About:

Version: 6.4.0.1
Build ID: 1b6477b31f0334bd8620a96f0aeeb449b587be9f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-01-20 16:19:35 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=09e3d45cdc5c739e5246388a83ccfc6d76bf66e9

author	Caolán McNamara <caolanm@redhat.com>	2019-10-21 14:20:12 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-10-29 13:58:47 +0100
commit	09e3d45cdc5c739e5246388a83ccfc6d76bf66e9 (patch)
tree	5ae533f38a626016951b02e7d2406c368b298723
parent	93a641d291adf86491cc68ac64f4f614c937183a (diff)
weld fpicker cluster

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-01-20 19:14:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/68356ba158fa689f15e76763f24153976265ac84

Resolves: tdf#130090 xEntry should be xIconEntry

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-01-20 19:18:29 UTC
fixed in master, backport to 6-4 in gerrit
Comment 4 Xisco Faulí 2020-01-21 08:18:04 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: b92293b3943423324064a8513c2e114d18817179
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-01-21 08:20:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3ddcb2ac048277fdaa5c7d3604a5862e4ad72e6e

Resolves: tdf#130090 xEntry should be xIconEntry

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-21 10:10:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-0":

https://git.libreoffice.org/core/commit/b6f8eb4da626b66f52c08555ea1d17e17951738c

Resolves: tdf#130090 xEntry should be xIconEntry

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.